using System;
using System.Collections.Generic;
using System.Windows;
using InABox.Core;
using Syncfusion.UI.Xaml.Grid;

namespace InABox.DynamicGrid;

public class DynamicGridTextBoxColumn<TEntity> : DynamicGridEditorColumn<TEntity,TextBoxEditor,GridTextColumn> where TEntity : BaseObject
{

    protected override void Configure(GridTextColumn column, TextBoxEditor editor)
    {
        column.TextWrapping = TextWrapping.NoWrap;
    }
    
    public DynamicGridTextBoxColumn(DynamicGridColumn definition) : base(definition)
    {
    }
}