﻿using System;
using System.Globalization;
using System.Windows;

namespace InABox.WPF;

public class BoolToVisibilityConverter : UtilityConverter<bool,Visibility>
{
    public Visibility TrueValue { get; set; }
    public Visibility FalseValue { get; set; }
    
    public override Visibility Convert(bool value)
    {
        return value
            ? TrueValue
            : FalseValue;
    }

    public override bool Deconvert(Visibility value)
    {
        return value == TrueValue;
    }
    
}